### Method

# Adw MessageDialog has_response

deprecated: 1.6 since: 1.2

#### Declaration [src]

    gboolean
    adw_message_dialog_has_response (
      AdwMessageDialog* self,
      const char* response
    )

#### Description [src]

Gets whether `self` has a response with the ID `response`.

Available since: 1.2

Deprecated since: 1.6

Use `AdwAlertDialog`.

#### Parameters

`response`

  Type: `const char*`

  Response ID.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `gboolean`

Whether `self` has a response with the ID `response`.